.. _calculate_new_input:

=========================================
Calculation input file section (required)
=========================================

This required section is denoted by the keyword ``calculate`` and includes a list of objects of the type :class:`apbs.input_file.calculate.Calculate`.

.. todo:: improve documentation with outline and/or example.

-----------------
Calculation types
-----------------

.. toctree::
   :maxdepth: 2

   boundary_element
   finite_difference
   finite_element
   nonpolar

-------------
Calculate API
-------------

.. automodule::  apbs.input_file.calculate
   :members:
   :undoc-members:
   :inherited-members:
   :show-inheritance:

-------------------------------------------------------

.. automodule::  apbs.input_file.calculate.generic
   :members:
   :undoc-members:
   :inherited-members:
   :show-inheritance: